JAXB v2.2.7

## javax.xml.bind.annotation
Enum XmlNsForm

    java.lang.Object
      java.lang.Enum<XmlNsForm>
          javax.xml.bind.annotation.XmlNsForm

All Implemented Interfaces:
  Serializable, Comparable<XmlNsForm>

    public enum XmlNsForm

extends Enum<XmlNsForm>

Enumeration of XML Schema namespace qualifications.

See "Package Specification" in javax.xml.bind.package javadoc for additional common information.

Usage

The namespace qualification values are used in the annotations defined in this packge. The enumeration values are mapped as follows:

Enum Value | XML Schema Value
UNQUALIFIED | unqualified
QUALIFIED | qualified
UNSET | namespace qualification attribute is absent from the XML Schema fragment

Since:
  JAXB2.0
Author:
  Sekhar Vajjhala, Sun Microsystems, Inc.

Enum Constant Summary
`QUALIFIED`
`UNQUALIFIED`
`UNSET`

Method Summary
`static XmlNsForm` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static XmlNsForm[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNQUALIFIED

    public static final XmlNsForm UNQUALIFIED

### QUALIFIED

    public static final XmlNsForm QUALIFIED

### UNSET

    public static final XmlNsForm UNSET

Method Detail

### values

    public static XmlNsForm[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (XmlNsForm c : XmlNsForm.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static XmlNsForm valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

JAXB v2.2.7

Comments to: spec-comments@jsr222.java.net
More information at: http://jaxb.java.net

Copyright © 2004-2011 Oracle